Bug 697893 - Add description option to domains and change the example config name
Summary: Add description option to domains and change the example config name
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: sssd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-19 15:06 UTC by Tomas Mraz
Modified: 2020-05-02 16:20 UTC (History)
6 users (show)

Fixed In Version: sssd-1.6.0-2.fc16
Doc Type: Enhancement
Doc Text:
Clone Of: 697644
Environment:
Last Closed: 2011-08-25 15:47:35 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github SSSD sssd issues 1892 0 None None None 2020-05-02 16:20:00 UTC

Description Tomas Mraz 2011-04-19 15:06:37 UTC
+++ This bug was initially created as a clone of Bug #697644 +++
In retrospect, it seems reasonable that authconfig would need to write to sssd.conf.  Unfortunately, sssd.conf does not have a big banner at the top warning that the file will be overwritten.  It would be very helpful if there were such a warning and if it gave a clear description of where and how users are intended to make custom settings if needed.

--- Additional comment from tmraz@redhat.com on 2011-04-19 02:41:04 EDT ---

Given authconfig uses the SSSD config API, what would be the best way to add this comment to sssd.conf? I suppose the config API itself does not have calls for adding comments. Perhaps it should be added to the default config file in the sssd package?

--- Additional comment from sgallagh@redhat.com on 2011-04-19 09:46:07 EDT ---

Maybe we should rename the "default" domain to "default-ac" or "authconfig" domain. That should make it clear.

The idea is that if a customer wants to create a custom domain, they should do so by changing the domain name.

We thought "default" would be sufficient, but now I'm thinking it would make more sense if we used a less-ambiguous name.

Additionally, I think you're right that we should add a new config option "description" that has no purpose in the SSSD itself, but could be used by authconfig to add a notice that the domain was autoconfigured and could be changed by subsequent executions of authconfig.

This would be better than changing the default config file. I've actually been thinking about renaming the default config file to sssd-example.conf so that SSSD doesn't try to use it (since it intentionally doesn't work out of the box anyway). The SSSDConfig API (and by extension, authconfig) can create an empty file trivially.

Tomas, please use this BZ to track changing the default domain name to something more clear, and then please clone this ticket against the SSSD for me to add the 'description' option and change the example config name.

Comment 1 Stephen Gallagher 2011-08-25 15:47:35 UTC
The description option is now available in SSSD 1.6.0 in Fedora 16.


Note You need to log in before you can comment on or make changes to this bug.